### Enumeration

# Vips ForeignPngFilter

#### Declaration

    flags Vips.ForeignPngFilter

#### Description [src]

The values mirror those of png.h in libpng.

#### Members

`VIPS_FOREIGN_PNG_FILTER_NONE`

  No filtering.

  - Value: `8`
  - Available since: 8.0
`VIPS_FOREIGN_PNG_FILTER_SUB`

  Difference to the left.

  - Value: `16`
  - Available since: 8.0
`VIPS_FOREIGN_PNG_FILTER_UP`

  Difference up.

  - Value: `32`
  - Available since: 8.0
`VIPS_FOREIGN_PNG_FILTER_AVG`

  Average of left and up.

  - Value: `64`
  - Available since: 8.0
`VIPS_FOREIGN_PNG_FILTER_PAETH`

  Pick best neighbor predictor automatically.

  - Value: `128`
  - Available since: 8.0
`VIPS_FOREIGN_PNG_FILTER_ALL`

  Adaptive.

  - Value: `248`
  - Available since: 8.0